# coding: utf-8

"""
    symbl.ai APIs

    <h1>Symbl's APIs for external consumers.</h1> <h2>Language Insights API</h2> Symbl's Language Insights API provides an interface for applications to perform the analysis on the raw text and get insights from it. The API automatically detects sentence boundaries and punctuates the sentences, and also returns the updated messages in the response. Conversations are the most unstructured piece of information that we represent information in, and which most of the leads to lot of loss of information by not being able to capture them correctly.<br/> Language Insights API focuses on understanding such texts and generate the useful and important information from them. <br/> Currently the API supports detection of the Action Items in any type of unstructured text. In future the same API will also have support to detect \"Information\" and \"Event\", where Information is any informational piece and Event is a reference to something that has happened in the past.<br/> <h2>Telephony Integration</h2> Symbl can currently integrate with two types of telephony endpoints: 1. SIP trunks<br/> 2. PSTN endpoints<br/> Results are sent via HTTP WebHooks as and when they are available.<br/> <h2>Flow</h2> 1. External Application invokes REST API to join a meeting/session, with the mode (SIP/PSTN) and joining details<br/> 2. Symbl joins the meeting via SIP or PSTN integration<br/> 3. Symbl continuously processes the audio stream received<br/> 4. Symbl calls WebHook whenever transcription results are available<br/>  # noqa: E501

    OpenAPI spec version: 0.0.1
    Contact: info@symbl.ai
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class V1conversationsconversationIdtranscriptPhrases(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'highlight_only_insight_key_phrases': 'bool',
        'highlight_all_key_phrases': 'bool'
    }

    attribute_map = {
        'highlight_only_insight_key_phrases': 'highlightOnlyInsightKeyPhrases',
        'highlight_all_key_phrases': 'highlightAllKeyPhrases'
    }

    def __init__(self, highlight_only_insight_key_phrases=None, highlight_all_key_phrases=None):  # noqa: E501
        """V1conversationsconversationIdtranscriptPhrases - a model defined in Swagger"""  # noqa: E501
        self._highlight_only_insight_key_phrases = None
        self._highlight_all_key_phrases = None
        self.discriminator = None
        if highlight_only_insight_key_phrases is not None:
            self.highlight_only_insight_key_phrases = highlight_only_insight_key_phrases
        if highlight_all_key_phrases is not None:
            self.highlight_all_key_phrases = highlight_all_key_phrases

    @property
    def highlight_only_insight_key_phrases(self):
        """Gets the highlight_only_insight_key_phrases of this V1conversationsconversationIdtranscriptPhrases.  # noqa: E501


        :return: The highlight_only_insight_key_phrases of this V1conversationsconversationIdtranscriptPhrases.  # noqa: E501
        :rtype: bool
        """
        return self._highlight_only_insight_key_phrases

    @highlight_only_insight_key_phrases.setter
    def highlight_only_insight_key_phrases(self, highlight_only_insight_key_phrases):
        """Sets the highlight_only_insight_key_phrases of this V1conversationsconversationIdtranscriptPhrases.


        :param highlight_only_insight_key_phrases: The highlight_only_insight_key_phrases of this V1conversationsconversationIdtranscriptPhrases.  # noqa: E501
        :type: bool
        """

        self._highlight_only_insight_key_phrases = highlight_only_insight_key_phrases

    @property
    def highlight_all_key_phrases(self):
        """Gets the highlight_all_key_phrases of this V1conversationsconversationIdtranscriptPhrases.  # noqa: E501


        :return: The highlight_all_key_phrases of this V1conversationsconversationIdtranscriptPhrases.  # noqa: E501
        :rtype: bool
        """
        return self._highlight_all_key_phrases

    @highlight_all_key_phrases.setter
    def highlight_all_key_phrases(self, highlight_all_key_phrases):
        """Sets the highlight_all_key_phrases of this V1conversationsconversationIdtranscriptPhrases.


        :param highlight_all_key_phrases: The highlight_all_key_phrases of this V1conversationsconversationIdtranscriptPhrases.  # noqa: E501
        :type: bool
        """

        self._highlight_all_key_phrases = highlight_all_key_phrases

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(V1conversationsconversationIdtranscriptPhrases, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, V1conversationsconversationIdtranscriptPhrases):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
